/*
*
*	HMG Basic MySql Access Sample.
*	Roberto Lopez <mail.box.hmg@gmail.com>
*
*	Based Upon Code Contributed by;
*
*		Humberto Fornazier	<hfornazier@brfree.com.br>
*		Mitja Podgornik		<yamamoto@rocketmail.com>
* 
*/

#include "hmg.ch"

*------------------------------------------------------------------------------*
Function Main
*------------------------------------------------------------------------------*

	Private oServer	:= Nil 
	
	DEFINE WINDOW Win_1 ;
		AT 0,0 ;
		WIDTH 800 ;
		HEIGHT 600 ;
		TITLE 'DEMO MARIADB' ;
		MAIN ;
		ON INIT Init_Demo() ;
		ON RELEASE Disconnect()

		DEFINE MAIN MENU

			DEFINE POPUP 'Maestros'
				MENUITEM 'Crear MAESARTI'	   ACTION Add_MaesArti()
				MENUITEM 'Modificar producto'	ACTION CardArti()
			END POPUP

		END MENU

//
// BARRA DE ESTADO
//
      DEFINE STATUSBAR
         STATUSITEM "..."
         CLOCK WIDTH 70
         DATE  WIDTH 90
      END STATUSBAR

	END WINDOW

	Win_1.Center

	ACTIVATE WINDOW Win_1

Return


*------------------------------------------------------------------------------*
Function Init_Demo()
*------------------------------------------------------------------------------*

PUBLIC Mi_Amarillo        := {255,255,192}
PUBLIC Mi_Verde_Nilo      := {160,192,192}
PUBLIC Mi_Verde_Claro     := {192,255,192}
PUBLIC Mi_Celeste_Suave   := {160,192,255}
PUBLIC Mi_Celeste_Claro   := {192,255,255}
PUBLIC Mi_Naranja         := {255,160,096}
PUBLIC Mi_Rosa_Oscuro     := {128,032,096}
PUBLIC Mi_Azul_Grisaceo   := {128,160,192}
PUBLIC Mi_Azul_Oscuro     := {032,032,128}

PUBLIC Color_Browse_Admin := Mi_Amarillo
PUBLIC Color_Browse_Help  := Mi_Amarillo
PUBLIC Color_Browse_Vent  := {238,232,170}
PUBLIC Color_Grid_Datos   := Mi_Celeste_Claro

PUBLIC Color_Label1_Font  := BLACK
PUBLIC Color_Label1_Back  := Mi_Naranja
PUBLIC Color_Dato1_Font   := YELLOW
PUBLIC Color_Dato1_Back   := Mi_Rosa_Oscuro

PUBLIC Color_Label2_Font  := BLACK
PUBLIC Color_Label2_Back  := Mi_Verde_Nilo
PUBLIC Color_Dato2_Font   := BLACK
PUBLIC Color_Dato2_Back   := Mi_Verde_Claro

PUBLIC Color_Label3_Font  := WHITE
PUBLIC Color_Label3_Back  := Mi_Azul_Oscuro
PUBLIC Color_Dato3_Font   := WHITE
PUBLIC Color_Dato3_Back   := Mi_Azul_Grisaceo

PUBLIC Color_Label4_Font  := BLACK
PUBLIC Color_Label4_Back  := Mi_Celeste_Claro
PUBLIC Color_Dato4_Font   := BLACK
PUBLIC Color_Dato4_Back   := Mi_Celeste_Suave

PUBLIC SYS_SINO           := {'Si','No'}
PUBLIC SYS_SN             := {'S' ,'N' }

PUBLIC SIS_IGV            := 18.00

PUBLIC BrwL               := BROWSE_JTFY_LEFT
PUBLIC BrwR               := BROWSE_JTFY_RIGHT
PUBLIC BrwC               := BROWSE_JTFY_CENTER

   Connect() // <- Conexin al servidor MariaDB esta en operaciones.prg modifica tus datos de conexin
	My_SQL_Database_Connect( "infofarma" ) // <- Conexin a la base de datos deseada cambiar nombre de la BD

RETURN


*-------------------------------------------------------------------------
*-------------------------------------------------------------------------
* FUNCION   : NUL2SPC
* COMENTARIO: Convierte un valor nulo a un espacio.
*-------------------------------------------------------------------------
*-------------------------------------------------------------------------

FUNC NUL2SPC(xVar)

LOCAL cVar := xVar

   IF VALTYPE(xVar)='U'
      cVar := ' '
   ENDIF
   IF VALTYPE(xVar)='C'
      cVar := ALLTRIM(cVar)
   ENDIF

RETURN(cVar)


*-------------------------------------------------------------------------
*-------------------------------------------------------------------------
* FUNCION   : NUL2ZERO
* COMENTARIO: Convierte un valor nulo a un valor cero.
*-------------------------------------------------------------------------
*-------------------------------------------------------------------------

FUNC NUL2ZERO(xVar)

LOCAL nVar := xVar

   IF VALTYPE(xVar)='U'
      nVar := 0
   ENDIF

RETURN(nVar)


*-------------------------------------------------------------------------
*-------------------------------------------------------------------------
* FUNCION   : VALSTR
* COMENTARIO: Convertir un n£mero a una cadena sin espacios
*-------------------------------------------------------------------------
*-------------------------------------------------------------------------

FUNC VALSTR(Number)

LOCAL STRNUM:=ALLTRIM(STR(Number))

RETURN(STRNUM)

#include "maesarti.prg"
#include "cardarti.prg"
#include "helparti.prg"
#include "mysql.prg"