*------------------------------------------------------------------------------*
Function Add_MaesArti()
*------------------------------------------------------------------------------*

	My_SQL_Table_CreateMA()
	My_SQL_Table_InsertMA()

Return Nil

*------------------------------------------------------------------------------*
Function My_SQL_Table_CreateMA()
*------------------------------------------------------------------------------*
Local i          := 0
Local aTableList := {}                                           
Local aStruc     := {}            
Local cQuery 
Local oQuery

	If oServer == Nil
		MsgStop("Not connected to SQL Server...")
		Return Nil
	EndIf
              
	aTableList := oServer:ListTables()
	If oServer:NetErr() 
		MsgStop("Error getting table list: " + oServer:Error() )
		Return
	Endif 

	If AScan( aTableList, 'PRODUCTOS' ) != 0
		MsgStop( "Table maesarti allready exists!")
		Return
	EndIf 

	cQuery:= "CREATE TABLE PRODUCTOS ( "+;
            "MA_CODI    Char(6)      PRIMARY KEY , "+;
            "MA_NOMB    Char(50)     , "+;
            "MA_TIPO    Char(4)      , "+;
            "MA_MARK    Char(6)      , "+;
            "MA_GENE    Char(6)      , "+;
            "MA_TERA    Char(6)      , "+;
            "MA_BARR    Char(20)     , "+;
            "MA_DISA    Numeric(7)   , "+;
            "MA_FRACS   Numeric(7)   , "+;
            "MA_BLIST   Numeric(7)   , "+;
            "MA_VVF     Numeric(12,2), "+;
            "MA_IGV     Numeric(6,2) , "+;
            "MA_COSCOM  Numeric(12,2), "+;
            "MA_COSPRO  Numeric(12,2), "+;
            "MA_UTILU   Numeric(10,2), "+;
            "MA_UTILF   Numeric(10,2), "+;
            "MA_PRECU   Numeric(12,2), "+;
            "MA_PRECF   Numeric(12,2), "+;
            "MA_PRECB   Numeric(12,2), "+;
            "MA_STOCKU  Numeric(7)   , "+;
            "MA_STOCKF  Numeric(7)   , "+;
            "MA_INCENT  Numeric(7,2) , "+;
            "MA_CREADO  Char(8)      "+;
            " ) "
	oQuery := oServer:Query( cQuery )											
	If oServer:NetErr() 
		MsgStop("Error creating table PRODUCTOS : "+oServer:Error() )
		Return
	Endif 

	oQuery:Destroy()     
							
Return Nil
            
*------------------------------------------------------------------------------*
Function My_SQL_Table_InsertMA()
*------------------------------------------------------------------------------*
Local cQuery := ""    
Local NrReg  := 0            

	If ! MsgYesNo( " Import data from MAESARTI.DBF to table PRODUCTOS(MySql) ?" ) 
		Return Nil
	EndIf                    

	If ! File( "MAESARTI.DBF" ) 
		MsgBox( "File MAERARTI.DBF doesn't exist!" )
		Return Nil
	EndIf

	Use MAESARTI Alias MA New
	go top
   nTotal := RECCOUNT()

	Do While ! Eof()

      Win_1.StatusBar.Item(1) := 'Transfiriendo MAESARTI '+ALLTRIM(STR(RECNO()))+' / '+ALLTRIM(STR(nTotal))+'...'
      DO EVENTS
      cIgv    := IF(MA->IGV=.T.,'18.00','0.00')
		cQuery := "INSERT INTO PRODUCTOS VALUES ("+;
                "'"+MA->COD_ARTI+"' , "+;
                "'"+STRTRAN(MA->DES_ARTI,"'")+"' , "+;
                " 'MEDI' , "+;
                "'"+MA->COD_MARK+"' , "+;
                "'"+MA->COD_GENE+"' , "+;
                "'"+MA->COD_TERA+"' , "+;
                "'"+MA->COD_BARR+"' , "+;
                " "+ALLTRIM(STR(MA->COD_DISA))+" , "+;
                " "+ALLTRIM(STR(MA->FRACCIONES))+" , "+;
                " "+ALLTRIM(STR(MA->BLISTERS))+" , "+;
                " "+ALLTRIM(STR(MA->COSTO_I))+" , "+;
                " "+cIgv+" , "+;
                " "+ALLTRIM(STR(MA->COSTO_U))+" , "+;
                " "+ALLTRIM(STR(MA->COSTO_R))+" , "+;
                " "+ALLTRIM(STR(MA->UTILID_U))+" , "+;
                " "+ALLTRIM(STR(MA->UTILID_F))+" , "+;
                " "+ALLTRIM(STR(MA->PRECIO_U))+" , "+;
                " "+ALLTRIM(STR(MA->PRECIO_F))+" , "+;
                " "+ALLTRIM(STR(MA->PRECIO_B))+" , "+;
                " "+ALLTRIM(STR(MA->STOCK_U))+" , "+;
                " "+ALLTRIM(STR(MA->STOCK_F))+" , "+;
                " "+ALLTRIM(STR(MA->INCENTIVO))+" , "+;
                "'"+MA->CREADO+"' "+;
                " ) "   

		oQuery := oServer:Query(  cQuery )

		If oServer:NetErr() 
			MsGInfo("Error executing Query "+cQuery+": "+oServer:Error() )
			EXIT 
		Endif 

		oQuery:Destroy()
                      
		NrReg++

		skip

	EndDo

	use

   Win_1.StatusBar.Item(1) := 'Listo.'
	MsgInfo( AllTrim(Str(NrReg))+" records added to table PRODUCTOS")

Return Nil